module QuestionsHelper
  
  def render_question_answers(category, questions)
    text = t(:label_category_answers, :category => category.name) + ": "
    correct_questions = []
    questions.each_with_index do |question, question_index|
      correct_choices = []
      question.choices.each_with_index do |choice, choice_index|
        correct_choices << choice_index if choice.is_correct
      end
      correct_questions << "#{question_index + 1}: #{correct_choices.collect{|choice| choice_label(choice)}.join(", ")}"
    end
    text += correct_questions.join(", ")
    return(text)
  end

  def question_number(index)
    number = index + 1
    if params[:page] and Setting[:elements_per_page]
      number += (params[:page].to_i - 1) * Setting[:elements_per_page].to_i
    end
    return(number)
  end

end
