module TestsOnRails
  module Version
    
    MAJOR = 0
    MINOR = 4
    TINY  = 1
    
    def self.revision
      revision = nil
      entries_path = "#{Rails.root}/.svn/entries"
      if File.readable?(entries_path)
        begin
          file = File.open(entries_path, "r")
          entries = file.read
          file.close
          if entries.match(%r{^\d+})
            revision = $1.to_i if entries.match(%r{^\d+\s+dir\s+(\d+)\s})
          else
            xml = REXML::Document.new(entries)
            revision = xml.elements["wc-entries"].elements[1].attributes["revision"].to_i
          end
        rescue
        end
      end
      if revision
        revision = "r" + revision.to_s
      end
      return(revision)
    end
    
    REVISION = self.revision
    
    ARRAY = [MAJOR, MINOR, TINY, REVISION].compact
    STRING = ARRAY.join(".")
    
    def self.to_a
      return(ARRAY)
    end
    
    def self.to_s
      return(STRING)
    end
    
  end
end
